
From: Chris Wright <chrisw@osdl.org>

This got lost.


 25-akpm/drivers/acpi/pci_link.c |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

diff -puN drivers/acpi/pci_link.c~acpi-pci-irq-fix-439 drivers/acpi/pci_link.c
--- 25/drivers/acpi/pci_link.c~acpi-pci-irq-fix-439	Mon Sep 22 14:08:48 2003
+++ 25-akpm/drivers/acpi/pci_link.c	Mon Sep 22 14:08:48 2003
@@ -500,15 +500,15 @@ static int acpi_pci_link_allocate(struct
 		irq = link->irq.active;
 	} else {
 		irq = link->irq.possible[0];
-	}
 
-	/* 
-	 * Select the best IRQ.  This is done in reverse to promote 
-	 * the use of IRQs 9, 10, 11, and >15.
-	 */
-	for (i=(link->irq.possible_count-1); i>0; i--) {
-		if (acpi_irq_penalty[irq] > acpi_irq_penalty[link->irq.possible[i]])
-			irq = link->irq.possible[i];
+		/*
+		 * Select the best IRQ.  This is done in reverse to promote
+		 * the use of IRQs 9, 10, 11, and >15.
+		 */
+		for (i=(link->irq.possible_count-1); i>0; i--) {
+			if (acpi_irq_penalty[irq] > acpi_irq_penalty[link->irq.possible[i]])
+				irq = link->irq.possible[i];
+		}
 	}
 
 	/* Attempt to enable the link device at this IRQ. */

_
